Get meter data
curl --request GET \
--url https://api.energy-hub.io/v1.0.0/meters/{meterId} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.energy-hub.io/v1.0.0/meters/{meterId}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.energy-hub.io/v1.0.0/meters/{meterId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isOnline": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "896f9d5a-b618-48a2-98ae-957059bf1bc9",
"staticData": {
"lastUpdated": "2023-11-07T05:31:56Z",
"name": "My device",
"model": "Sunny Device",
"siteName": "My Home"
},
"lastUpdated": "2023-11-07T05:31:56Z",
"powerState": {
"lastUpdated": "2023-11-07T05:31:56Z",
"power": 12,
"meterValue": 289.99
},
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"errorCode": "UNAUTHORIZED",
"id": "57da008b-bd4d-442e-b8f8-584cb9058e29",
"message": "Unauthorized"
}{
"errorCode": "METER_NOT_FOUND",
"id": "57da008b-bd4d-442e-b8f8-584cb9058e29",
"message": "[METER] Meter not found"
}Meter
Get meter data
Returns general data of a single meter.
GET
/
v1.0.0
/
meters
/
{meterId}
Get meter data
Authorizations
API key used for authorization and authentication.
Path Parameters
Meter ID
Response
Successful operation
Object of meter response.
Indicates if the meter is reachable trough the vendor system.
Example:
true
The ID of the meter.
The ID of the user.
Example:
"896f9d5a-b618-48a2-98ae-957059bf1bc9"
Object of static data of a home energy device.
Show child attributes
Show child attributes
The timestamp of the last update of any variable of the meter.
Object of power state of a meter.
Show child attributes
Show child attributes
The location ID of the meter.
⌘I

